class TopicGroup(object):
    """
    生成topic，group， platform， mode等信息
    """
    def __init__(self):
        self.spider_list = [
            ("zhsdm", "recommend", "zhuhaoshiduomo"),
            ("fxs", "recommend", "fuxiaoshun"),
            ("zwwfsn", "recommend", "zhuwanwufusunew"),
            ('zjsjmn', 'recommend', 'zhujinshanjinmeinew'),
            ('hhxxzfdn', 'recommend', 'huanhuanxixizhufudaonew'),
            ('bqzf', 'recommend', 'boqingzhufu'),
            ('syzf', 'recommend', 'sharkzhufu'),
            ("xsdd", 'recommend', 'xishiduoduo'),
            ("jxxf", 'recommend', 'jixiangxingfu'),
            ("xnght", 'recommend', 'xiaoniangaohuati'),
            ('ynfqcz', 'recommend', 'yuannifuqichangzai'),
            ('zhdsn', 'recommend', 'zuihaodesongni'),
            ('jrzf', 'recommend', 'jierizhufu'),
            ('dkyhy', 'recommend', 'dakaiyinghaoyun'),
            ('xngtjl', 'recommend', 'xiaoniangaotuijianliu'),
            ('zfqztjl', 'recommend', 'zhufuquanzituijianliu'),
            ('bszf', 'recommend', 'benshanzhufu'),
            ('zfnnsxjx', 'recommend', 'zhufuniannianshunxinjixiang'),
            ('ttjfq', 'recommend', 'tiantianjufuqi'),
            ('zfkz', 'recommend', 'zhufukuaizhuan'),
            ('lpld', 'recommend', 'lepaoledong'),
            ('lplddj', 'recommend', 'lepaoledongdijie'),
            ('pqgs', 'recommend', 'piaoquangushi'),
            ('wqsp', 'recommend', 'weiquanshipin'),
            ('llklzf', 'recommend', 'linglingkuailezhufu'),
            ('jrzfhkfg', 'recommend', 'jierizhufuhuakaifugui'),
            ('ynfqmm', 'recommend', 'yuannifuqimanman'),
            ('hyzfd', 'recommend', 'haoyunzhufuduo'),
            ('jrzfxfjx', 'recommend', 'jierizhufuxingfujixiang'),
            ('hysp', 'recommend', 'haoyoushipin'),
            ('qz', 'recommend', 'quzhuan'),
            ('zfdwh', 'recommend', 'zhufudewenhou'),
            ('lnq', 'recommend', 'laonianquan'),
            ('lnshkl', 'recommend', 'laonianshenghuokuaile'),
            ('xsq', 'recommend', 'xinshiquan'),
            ('fqhyd', 'recommend', 'fuqihaoyundao'),
            ('cjpq', 'recommend', 'chaojipiaoquan'),
            ('xlzf', 'recommend', 'xuanlanzhufu'),
            ('zzhxzfy', 'recommend', 'zhaozhaohuanxizhufuyu'),
            ('zqkd', 'recommend', 'zhongqingkandian'),
            ('zqkd', 'related', 'zhongqingkandianrelated'),
            ('zqkd', 'author', 'zhongqingkandianauthor')
        ]

    def produce(self):
        """
        工作代码
        :return: list [{}, {}, {}, {}, {}]
        """
        result = [
            {
                "topic": "{}_{}_prod".format(i[0], i[1]),
                "group": "{}_{}_prod".format(i[0], i[1]),
                "mode": i[1],
                "platform": i[2]
            } for i in self.spider_list
        ]
        return result


# print(TopicGroup().produce())
