"""
Appium 的一些公共方法
"""
import time
from selenium.webdriver.common.by import By
from selenium.common.exceptions import NoSuchElementException


def search_elements(driver, xpath):
    """
    获取元素
    :param driver:
    :param xpath:
    :return:
    """
    time.sleep(1)
    windowHandles = driver.window_handles
    for handle in windowHandles:
        driver.switch_to.window(handle)
        time.sleep(1)
        try:
            elements = driver.find_elements(By.XPATH, xpath)
            if elements:
                return elements
        except NoSuchElementException:
            pass